const path = require('path');
const MiniCssExtractPlugin = require('mini-css-extract-plugin');

module.exports = () => {
	return {
		mode: 'development', 
		context: path.resolve(__dirname, './src'),
		entry: {
			'css/main.min': './css/main.css',
			'css/admin/admin.min': './css/admin/admin.css',
		},
		output: {
			filename: '[name].js',
			path: path.resolve(__dirname, 'build'),
			publicPath: '../',
		},
		plugins: [
			new MiniCssExtractPlugin({
				filename: '[name].css',
			}),
		],
		module: {
			rules: [
				{
					oneOf: [
						{
							test: /\.(less|css)$/,
							use: [
								{
									loader: MiniCssExtractPlugin.loader,
									options: {
										// publicPathRelativeToSource: true,
									}
								},
								{
									loader: 'css-loader',
								},
							]
						},
						{
							test: [/\.bmp$/, /\.gif$/, /\.jpe?g$/, /\.png$/],
							use: [
								{
									loader: 'url-loader',
									options: {
										limit: 10000,
										name: '[path][name].[ext]',
									}
								},
							]
						},
					]
				}
			]
		}
	}
}
